summaryrefslogtreecommitdiffstats
path: root/academic/cufflinks
diff options
context:
space:
mode:
author Petar Petrov <petar.petrov@student.oulu.fi>2013-12-14 08:12:27 +0700
committer Erik Hanson <erik@slackbuilds.org>2013-12-14 10:53:05 -0600
commit5094f4b727547788fa3fa4481bf14e89180001b2 (patch)
tree2fb081a801895382db27e2907cff6a521dc5eac2 /academic/cufflinks
parent00017f6260e9e0d2951eac42aeea9d8fbb9f1034 (diff)
downloadslackbuilds-5094f4b727547788fa3fa4481bf14e89180001b2.tar.gz
slackbuilds-5094f4b727547788fa3fa4481bf14e89180001b2.tar.xz
academic/cufflinks: Added (reference-guided assembler for RNA-Seq).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic/cufflinks')
-rw-r--r--academic/cufflinks/README17
-rw-r--r--academic/cufflinks/References37
-rw-r--r--academic/cufflinks/cufflinks.SlackBuild107
-rw-r--r--academic/cufflinks/cufflinks.info10
-rw-r--r--academic/cufflinks/slack-desc19
5 files changed, 190 insertions, 0 deletions
diff --git a/academic/cufflinks/README b/academic/cufflinks/README
new file mode 100644
index 0000000000..7afb95ee6e
--- /dev/null
+++ b/academic/cufflinks/README
@@ -0,0 +1,17 @@
+Cufflinks assembles transcripts, estimates their abundances, and tests
+for differential expression and regulation in RNA-Seq samples. It
+accepts aligned RNA-Seq reads and assembles the alignments into a
+parsimonious set of transcripts. Cufflinks then estimates the relative
+abundances of these transcripts based on how many reads support each
+one, taking into account biases in library preparation protocols.
+
+Cufflinks is a collaborative effort between the Laboratory for
+Mathematical and Computational Biology, led by Lior Pachter at UC
+Berkeley, Steven Salzberg's computational genomics group at the
+Institute of Genetic Medicine at Johns Hopkins University, and Barbara
+Wold's lab at Caltech.
+
+Reference:
+Ali Mortazavi, Brian A Williams, Kenneth McCue, Lorian Schaeffer and
+Barbara Wold, "Mapping and quantifying mammalian transcriptomes by
+RNA-Seq", Nature Methods, volume 5, 621 - 628 (2008)
diff --git a/academic/cufflinks/References b/academic/cufflinks/References
new file mode 100644
index 0000000000..3434915871
--- /dev/null
+++ b/academic/cufflinks/References
@@ -0,0 +1,37 @@
+Publications
+
+Trapnell C, Williams BA, Pertea G, Mortazavi AM, Kwan G, van Baren MJ,
+Salzberg SL, Wold B, Pachter L. Transcript assembly and quantification
+by RNA-Seq reveals unannotated transcripts and isoform switching
+during cell differentiation
+Nature Biotechnology doi:10.1038/nbt.1621
+
+Roberts A, Trapnell C, Donaghey J, Rinn JL, Pachter L. Improving RNA-
+Seq expression estimates by correcting for fragment bias
+Genome Biology doi:10.1186/gb-2011-12-3-r22
+
+Roberts A, Pimentel H, Trapnell C, Pachter L. Identification of novel
+transcripts in annotated genomes using RNA-Seq
+Bioinformatics doi:10.1093/bioinformatics/btr355
+
+Trapnell C, Hendrickson D,Sauvageau S, Goff L, Rinn JL, Pachter L
+Differential analysis of gene regulation at transcript resolution with
+RNA-seq
+Nature Biotechnology doi:10.1038/nbt.2450
+
+REFERENCES
+---------------------------
+Cufflinks builds on many ideas, including some
+proposed in the following papers:
+
+Ali Mortazavi, Brian A Williams, Kenneth McCue, Lorian Schaeffer and Barbara
+Wold, "Mapping and quantifying mammalian transcriptomes by RNA-Seq",Nature
+Methods, volume 5, 621 - 628 (2008)
+
+Hui Jiang and Wing Hung Wong, "Statistical Inferences for isoform expression",
+Bioinformatics, 2009 25(8):1026-1032
+
+Nicholas Eriksson, Lior Pachter, Yumi Mitsuya, Soo-Yon Rhee, Chunlin Wang,
+Baback Gharizadeh, Mostafa Ronaghi, Robert W. Shafer, Niko Beerenwinkel, "Viral
+population estimation using pyrosequencing", PLoS Computational Biology,
+4(5):e1000074
diff --git a/academic/cufflinks/cufflinks.SlackBuild b/academic/cufflinks/cufflinks.SlackBuild
new file mode 100644
index 0000000000..04c2901a59
--- /dev/null
+++ b/academic/cufflinks/cufflinks.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for cufflinks
+
+# Copyright 2013 Petar Petrov, petar.petrov@student.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# With help from Archlinux AUR and Gentoo:
+# https://aur.archlinux.org/packages/cufflinks/
+# http://euscan.iksaif.net/package/sci-biology/cufflinks/
+
+PRGNAM=cufflinks
+VERSION=${VERSION:-2.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+export EIGEN_CPPFLAGS="-I/usr/include/eigen3"
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --disable-optim \
+ --with-boost-libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/cufflinks/cufflinks.info b/academic/cufflinks/cufflinks.info
new file mode 100644
index 0000000000..0e90ccd4e4
--- /dev/null
+++ b/academic/cufflinks/cufflinks.info
@@ -0,0 +1,10 @@
+PRGNAM="cufflinks"
+VERSION="2.1.1"
+HOMEPAGE="http://cufflinks.cbcb.umd.edu/"
+DOWNLOAD="http://cufflinks.cbcb.umd.edu/downloads/cufflinks-2.1.1.tar.gz"
+MD5SUM="3c1f34264122565b1697706a5f0fd242"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="eigen3 samtools"
+MAINTAINER="Petar Petrov"
+EMAIL="petar.petrov@student.oulu.fi"
diff --git a/academic/cufflinks/slack-desc b/academic/cufflinks/slack-desc
new file mode 100644
index 0000000000..1a7d1f0054
--- /dev/null
+++ b/academic/cufflinks/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cufflinks: cufflinks (A reference-guided assembler for RNA-Seq experiments)
+cufflinks:
+cufflinks: Cufflinks assembles transcripts, estimates their abundances,
+cufflinks: and tests for differential expression and regulation in RNA-
+cufflinks: Seq samples. It accepts aligned RNA-Seq reads and assembles
+cufflinks: the alignments into a parsimonious set of transcripts.
+cufflinks:
+cufflinks: Home: http://cufflinks.cbcb.umd.edu/
+cufflinks: References: /usr/doc/cufflinks-2.1.1/References
+cufflinks:
+cufflinks: